<?php

use App\Models\Project;
use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('project_bounding_boxes', function (Blueprint $table) {
            $table->id();
            $table->foreignIdFor(Project::class);
            $table->string('name');
            $table->string('top_left_latitude');
            $table->string('top_left_longitude');
            $table->string('bottom_right_latitude');
            $table->string('bottom_right_longitude');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('project_bounding_boxes');
    }
};
